@import "functions/all";
@import "classes";
@import "mixins/all";
@import "base/all";
@import "setup";

/*


*/
html {

    body {
        width: 100vw;
        min-width: 500px;

        height: 100vh;
        min-height: 600px;

        background-color: color("background");
        position: relative;

        #graph-area {
            @include graph-container();
        }

        #graph-name-field {
            @include name-field();
        }

        #text-area {
            @include text-area();
        }

        #menu {
            @include gui-menu();
        }

        #persistence-controls {
            @include persistence-controls();
        }

        #code-functions {
            @include code-controls();
        }

        #version-info {
            position: fixed;
            bottom: 0;
            left: 0;

            span {
                font-size: 9px;
                margin-left: 15px;
                color: color("gray-light");
            }
        }
    }
}
